% Codes for Figure 8

% Title: Preference and WTP stability for public forest management
% Authors: Mikoaj Czajkowski; Anna Bartczak; Wiktor Budziski; Marek
% Giergiczny; Nick Hanley

% OUTPUT:
% SQ2 contain results presented in Figure 8
%       Rows correspond to CT number
%       Columns are for: Set A/ Set B /Set C

clear all
clc

EstimOpt.fnameinput = ('NEWFOREX_DCE_10.mat'); 
DATA = load(EstimOpt.fnameinput);

%Eff2 mwi jaki design w pierwszym badaniu 0 to O
% Design2 mwi jaki w drugim
DATA.SQ = DATA.ALT == 1;
X = [DATA.SQ DATA.GOS DATA.CEN DATA.VIS==1 DATA.VIS==2 -DATA.FEE];
X = X(DATA.Badanie == 2,:);

Y = DATA.RANK == 1;

Y = Y(DATA.Badanie == 2);
YY = reshape(Y, 3, 12, 3, 789);

SQX = mean(prod(YY(1,:,:,:),2),4);
SQX = squeeze(SQX);

SQ2 = squeeze(mean(YY(1,:,:,:),4));