function h = WaldCovMulti(b, indx)

% Function handle for testing if given WTP has the same mean and covariance
% structure
% For all variables joitly

% b = vector of parameters
% indx = 1 if A == B, 2 if A == C, 3 if B == C, 4 if A == B == C

VC = tril(ones(18,18));
VC(VC == 1) = b(19:end);
COV = VC*VC'; 
D = diag(COV);
V1 = [COV(1,6);COV(2,7); COV(3,8); COV(4,9); COV(5,10)]; 
V2 = [COV(1,11);COV(2,12); COV(3,13); COV(4,14); COV(5,15)]; 
V3 = [COV(6,11);COV(7,12); COV(8,13); COV(9,14); COV(10,15)]; 
if indx == 1
    h = b(1:5) - b(6:10);
    h = [h; D(1:5) - D(6:10)];
    h = [h; V1-sqrt(D(1:5).*D(6:10))];
elseif indx == 2
    h = b(1:5) - b(11:15);
    h = [h; D(1:5) - D(11:15)];
    h = [h; V2-sqrt(D(1:5).*D(11:15))];
elseif indx == 3
    h = b(6:10) - b(11:15);
    h = [h; D(6:10) - D(11:15)];
    h = [h; V3-sqrt(D(6:10).*D(11:15))];
elseif indx == 4
    h = [b(1:5) - b(6:10); b(6:10) - b(11:15)];
    h = [h; D(1:5) - D(6:10); D(6:10) - D(11:15)];
    h = [h; V1-sqrt(D(1:5).*D(6:10)); V3-sqrt(D(6:10).*D(11:15))];
end

